﻿if (location.href.endsWith('info.html')) {
    document.getElementById('uninstall').addEventListener('click', (e) => {
        e.preventDefault();
        chrome.management.uninstallSelf();
    });
}

const osLink2mpv = document.getElementById('osLink2mpv');
if (osLink2mpv) {
    osLink2mpv.setAttribute('href',
        /Firefox/.test(navigator.userAgent)
            ? './link2mpv.ff.html'
            : './link2mpv.ch.html'
    );
}


if (/link2mpv\.\w\w\.html$/.test(location)) {
    const extensionId = document.getElementById('extensionId');
    if (extensionId) {
        extensionId.value = chrome.runtime.id;

        // Select all text in #extensionId on click
        extensionId.addEventListener('click', (e) => {
            const el = e.target;

            const ran = new Range();
            ran.setStartBefore(el);
            ran.setEndAfter(el);
            const sel = getSelection();
            sel.removeAllRanges();
            sel.addRange(ran);
        });
    }

    // Switch visibility states of state labels
    document.getElementById('checkConnection').addEventListener('click', () => {
        document.getElementById('connectionSuccess').removeAttribute('style');
        document.getElementById('connectionError').removeAttribute('style');
        document.getElementById('connectionWaiting').style.display = 'initial';

        chrome.runtime.sendNativeMessage('com.ahohnmyc.link2mpv', {ping: ''}, (data) => {

            debugger;

            document.getElementById('connectionWaiting').removeAttribute('style');

            if (chrome.runtime.lastError || !data.hasOwnProperty('pong') || data.pong !== ':3') {
                document.getElementById('connectionSuccess').removeAttribute('style');
                document.getElementById('connectionError').style.display = 'initial';
            } else {
                document.getElementById('connectionError').removeAttribute('style');
                document.getElementById('connectionSuccess').style.display = 'initial';
            }
        })
    });

    document.getElementById('settings').addEventListener('click', (e) => {
        e.preventDefault();
        if (/Firefox/.test(navigator.userAgent))
            chrome.tabs.create({url: '/popup/popup.html'});
        else
            chrome.tabs.create({url: `chrome://extensions/?options=${chrome.runtime.id}`});
        close();
    });
}
