if (/Firefox/.test(navigator.userAgent))
    document.head.appendChild(document.createElement('style')).textContent = `
* {
    font-weight: 400;
}
`;

document.getElementById('help').addEventListener('click', () => {
    chrome.tabs.create({url:'/info/info.html'});
});

document.querySelectorAll('[textMessageId]').forEach((el) => {
    el.textContent = chrome.i18n.getMessage(el.getAttribute('textMessageId'));
});
document.querySelectorAll('[placeholderMessageId]').forEach((el) => {
    const text = chrome.i18n.getMessage(el.getAttribute('placeholderMessageId'));
    el.setAttribute('placeholder', text);
    el.setAttribute('title', text);
});
document.querySelectorAll('[titleMessageId]').forEach((el) => {
    el.setAttribute('title', chrome.i18n.getMessage(el.getAttribute('titleMessageId')));
});


const saved = document.getElementById('saved');
saved.style.display = 'none';

function showBadgeSaved() {
    saved.removeAttribute('style');
    setTimeout(() => {
        saved.style.display = 'none';
    }, 1000);
}

function loadSettings() {
    chrome.storage.local.get((currentSettings) => {
        document.getElementById('closeAfterMPV').checked = currentSettings.closeAfterMPV;
        document.getElementById('mpvParameters').value = currentSettings.mpvParameters;

        // After setting right checkboxes, init our dynamic settings saver
        document.querySelectorAll('input').forEach((el) => {
            el.addEventListener('change', updateSettings)
        });
    });
}

function updateSettings() {
    const closeAfterMPV = document.getElementById('closeAfterMPV').checked;
    const mpvParameters = document.getElementById('mpvParameters').value;
    chrome.storage.local.set({
        closeAfterMPV: closeAfterMPV,
        mpvParameters: mpvParameters
    });
    showBadgeSaved();
}

loadSettings();


document.getElementById('mpvManualLink').addEventListener('click', (e) => {
    e.preventDefault();
    chrome.tabs.create({url: 'https://mpv.io/manual/master/'});
});

document.getElementById('ytdlManualLink').addEventListener('click', (e) => {
    e.preventDefault();
    chrome.tabs.create({url: 'https://github.com/ytdl-org/youtube-dl/blob/master/README.md#readme'});
});

// Hide some elements on chrome* and mpvManual URLs
chrome.tabs.query({currentWindow: true, active: true}, function (tabs) {
    const currentTab = tabs[0];
    if (currentTab.url.startsWith('chrome:') || currentTab.url.startsWith('about:') || currentTab.url.startsWith('moz-')) {
        document.getElementById('titleContainer').remove();
    } else {
        document.head.appendChild(document.createElement('style')).textContent = `
body { padding-top: 1.3em; }
        `;
    }
});


// Mewing in 10% hovers
const meow = document.getElementById('meow');
const meowText = meow.textContent;
meow.addEventListener('mouseenter', () => {
    if (Math.random() * 100 < 10)
        meow.textContent = 'meow';
});
meow.addEventListener('mouseout', () => {
    meow.textContent = meowText;
});
